OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
rcache_vma_tree.h File Reference

Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana University Research and Technology Corporation. More...

`#include "opal/mca/mca.h"`
`#include "ompi/mca/mpool/mpool.h"`
`#include "rcache_vma.h"`

Go to the source code of this file.

## Data Structures
struct | mca_rcache_vma_reg_list_item_t
struct | mca_rcache_vma_t
| The item in the vma_tree itself. More...

## Typedefs
typedef struct mca_rcache_vma_reg_list_item_t | mca_rcache_vma_reg_list_item_t
typedef struct mca_rcache_vma_t | mca_rcache_vma_t

## Functions
| OBJ_CLASS_DECLARATION (mca_rcache_vma_reg_list_item_t)
| OBJ_CLASS_DECLARATION (mca_rcache_vma_t)
int | mca_rcache_vma_tree_init (mca_rcache_vma_module_t *rcache)
mca_mpool_base_registration_t * | mca_rcache_vma_tree_find (mca_rcache_vma_module_t *rcache, unsigned char *base, unsigned char *bound)
| Returns the item in the vma tree.
int | mca_rcache_vma_tree_find_all (mca_rcache_vma_module_t *vma_rcache, unsigned char *base, unsigned char *bound, mca_mpool_base_registration_t **regs, int reg_cnt)
| Returns all registration that overlaps given memory region.
int | mca_rcache_vma_tree_insert (mca_rcache_vma_module_t *rcache, mca_mpool_base_registration_t *reg, size_t limit)
int | mca_rcache_vma_tree_delete (mca_rcache_vma_module_t *rcache, mca_mpool_base_registration_t *reg)
| Function to remove previously memory from the tree without freeing it. More...
void | mca_rcache_vma_destroy (mca_rcache_vma_t *vma)

## Detailed Description

Copyright (c) 2004-2005 The Trustees of Indiana University and Indiana University Research and Technology Corporation.

All rights reserved. Copyright (c) 2004-2007 The University of Tennessee and The University of Tennessee Research Foundation. All rights reserved. Copyright (c) 2004-2005 High Performance Computing Center Stuttgart, University of Stuttgart. All rights reserved. Copyright (c) 2004-2005 The Regents of the University of California. All rights reserved.

Copyright (c) 2006 Voltaire. All rights reserved. Copyright (c) 2009 IBM Corporation. All rights reserved.

$COPYRIGHT$

Additional copyrights may follow

$HEADER$

Description of the Registration Cache framework

## Function Documentation

int mca_rcache_vma_tree_delete | ( | mca_rcache_vma_module_t * | vma_rcache,
|  | mca_mpool_base_registration_t * | reg
| ) |  |

Function to remove previously memory from the tree without freeing it.

Parameters

  base | pointer to the memory to free

Return values

  OMPI_SUCCESS |
  OMPI_ERR_BAD_PARAM | if the passed base pointer was invalid

References mca_rcache_vma_t::end, ompi_rb_tree_delete(), ompi_rb_tree_find_with(), opal_list_append, opal_list_get_begin(), opal_list_get_end(), opal_list_get_next, opal_list_get_prev, opal_list_is_empty(), opal_list_remove_item(), mca_rcache_vma_t::reg_list, mca_rcache_vma_t::start, mca_rcache_vma_t::super, and opal_list_t::super.